<?php
namespace App\Models;

class NominationDocs extends BaseModel
{
   
	protected $fillable = [
        'returning_officer_en',
        'returning_officer_mr',
        'file_en',
        'file_mr',
		'file_ext_en',
        'file_ext_mr',    
		'general_election_id',
    ];
	
	public function general_election()
	{
		return $this->belongsTo(GeneralElection::class);
	}
	public function nomination_wards()
	{
		return $this->hasMany(NominationWard::class,'nomination_doc_id');
	}
	
	public function wardwise_wards()
	{
		return $this->hasMany(WardwiseWard::class,'nomination_doc_id');
	}
}
